Bug 116123 - rollingbuild.sh fails if sql directory is empty
Summary: rollingbuild.sh fails if sql directory is empty
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: dev environment (Show other bugs)
(Show other bugs)
Version: nightly
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dennis Gregorovic
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-18 13:59 UTC by Steve Etherington
Modified: 2007-04-18 17:03 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-17 16:54:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steve Etherington 2004-02-18 13:59:00 UTC
Description of problem:

A project will build and deploy if it has an empty sql directory (but 
not if the sql directory does not exist).

However, when running the rollingbuild.sh script to create rpms, this 
fails as the empty directory does is not copied into the 

rollingbuild/src/<project-version>/<project> directory


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Dennis Gregorovic 2004-02-23 19:28:36 UTC
This isn't a bug.  The build system now assumes that each application
contains pdl, sql, src, and test files.  For applications where that
is not the case, the list of directories must be specified in that
app's application.xml.  For example:

  <ccm:directories>
    <ccm:directory name="test"/>
    <ccm:directory name="src"/>
    <ccm:directory name="pdl"/>
  </ccm:directories>

Unfortunately, this isn't documented (except in this ticket ;)).  So,
I will leave the ticket open and work on getting this info into the
developer guide.

Comment 2 Dennis Gregorovic 2005-03-17 16:54:44 UTC
closing old tickets


Note You need to log in before you can comment on or make changes to this bug.